Subject: Re: Re: Re: Re: [Tsvwg] some problemsaboutdraft-baker-diffserv-ba sic -classes-0 4

From: Kwok Ho Chan <[email-masked]>
Date: Tue, 07 Dec 2004 12:58:08 -0500

Cai Bei-Bei:
We are not saying AF3x is "higher priority" than CS3.
We are just indicating that the 2 service classes need to be treated 
differently
in parts of the end-to-end path.
We are not saying how many queues and what the queue scheduling algorithm 
must be.
Hence we are not saying AF3x must be scheduled ahead of CS3.
-- Kwok Ho --

At 09:43 AM 12/7/2004, =?gb2312?B?sszd7d3t?= wrote:
>Kwok Ho :
>
>Thank your help!
>
>In your previous letter, you said :"We have found that the Loss Tolerance 
>for these traffic(Broadcast Video service)
>  is relatively lower than Multimedia Streaming service class." Does this 
> sentence mean that the broadcast video service need
>lower packet loss than Multimedia Streaming service class? If it is yes, I 
>think it is more reasonable that
>broadcast video service have a higher priority. But broadcast video servie 
>is CS3,whose priority is lower than
>than Multimedia Streaming service(AF3).Do it have some antinomy?
>
>Thanks a lot!
>best regards!
>                                                                   cai Bei-Bei
>
>¡¡¡¡
>
>======== 2004-12-06 23:28:11 ÄúÔÚÀ´ÐÅÖÐÐ´µÀ£º ========
>
>>Bei-Bei:
>>Please notice I have added this thread to the TSVWG mailing list.
>>Please see response embedded below.
>>Any additional input are welcomed.
>>Thanks!
>>-- Kwok Ho --
>>
>>At 10:39 PM 12/4/2004, =?gb2312?B?sszd7d3t?= wrote:
>>>Kwok Ho:
>>>
>>>Thank you very much for your so detailed answer.
>>>Your help have resolved some questions I had.
>>>Of course,you can put this conversation back onto the TSVWG mailing list.:)
>>>
>>>And,may I understand the draft as follow : the gradation of traffic 
>>>priority from high to low is
>>>  CS7,CS6.EF,CS5.AF4,CS4,AF3,CS3,AF2,CS2,AF1,CS0(DF),CS1?
>>
>>I think you can say that.  But in reality, IMHO, the network needs to 
>>make sure it
>>upholds the promise it gave to its customer, no matter which service 
>>class it is.
>>This may mean the network needs to admit less traffic that goes into 
>>service class using
>>EF so the service classes using CS4 and AF4x will still uphold the 
>>promise to its users.
>>The decision is on which service classes a network supports (they don't 
>>need to support
>>all the service classes) and how much of each.
>>
>>>I have cleared about those service classes except for the Broadcast 
>>>Video Service Class.
>>>Based on the draft,Broadcast video is inelastic traffic,and Multimedia 
>>>Streaming is elastic.
>>>Why do the former use CS3 and the latter use AF3?
>>>And in 4.2.1 part of draft-baker-diffserv-basic-classes-02, the 
>>>Multimedia Streaming class include
>>>the Broadcast video service.What is the reason for separating the 
>>>broadcast video from the multimedia streaming
>>>in draft-baker-diffserv-basic-classes-03(and 04) ?
>>
>>Broadcast Video service class is meant for High Definition broadcasts and 
>>the likes.
>>We have found that the Loss Tolerance for these traffic is relatively 
>>lower than Multimedia
>>Streaming service class.  Hence its separation.  Again this is based on 
>>what the application
>>requires of the network.  At low loss high capacity parts of the network, 
>>both of these
>>service classes may get treated together without impact to the promises 
>>made to the
>>user of each service class (discussion for the service class aggregation 
>>draft).
>>
>>>
>>>Thank you very much!
>>>
>>>
>>>
>>>                                                                   Cai 
>>> bei-bei
>>>ps:Best wishes to you!
>>>¡¡¡¡
>>>
>>>
>>>======== 2004-12-02 23:49:52 ÄúÔÚÀ´ÐÅÖÐÐ´µÀ£º ========
>>>
>>>>Bei-Bei:
>>>>Agree that they all need low delay, low jitter.
>>>>Other factors that affects the service classes placement are loss 
>>>>tolerance, traffic elasticity,
>>>>and packet size (and its variation).
>>>>
>>>>Telephony uses EF. the Multimedia Conferencing uses AF because it is 
>>>>elastic traffic.
>>>>There is also the Real-Time Interactive class using CS4 that handles 
>>>>inelastic video traffic.
>>>>Please reference Figure 1 of
>>>> 
>>>>http://www.ietf.org/internet-drafts/draft-baker-diffserv-basic-classes-04.txt
>>>>
>>>>EF PHB normally get deployed with some kind of upper limit on the 
>>>>traffic it treats, either
>>>>with some policer, rate limiter, and/or some other admission control 
>>>>methods.
>>>>With this in mind, the EF traffic should not starve the AF4x and CS4 
>>>>traffic.  Each should
>>>>forward the traffic as configured (one may not want to have too much EF 
>>>>traffic that will
>>>>add too much delay to the CS4 and AF4x traffic making them 
>>>>un-acceptable).  Without
>>>>having the elastic traffic adversely affecting the inelastic 
>>>>traffic.  Or having large packets
>>>>adding too much jitter to small inelastic traffic.
>>>>
>>>>This draft takes the points of view of how each application using the 
>>>>different service classes
>>>>will receive the network treatment it requires (end to end), when 
>>>>traffic in multiple service classes
>>>>need to share the network.  When these traffic traverse both low and 
>>>>high capacity networks/links.
>>>>
>>>>There is another draft that discusses how in high capacity 
>>>>networks/links, multiple service classes
>>>>can be aggregated together.  I have published -00 version of this draft 
>>>>but I am in the process of
>>>>updating this draft to add more content and making changes based on the 
>>>>comments received.
>>>>I would advise to wait for the -01 of draft-chan-tsvwg-diffserv-class-aggr.
>>>>
>>>>I hope this help to answer/resolve the questions/issues you have.
>>>>
>>>>Also, can I put this conversation back onto the TSVWG mailing list?
>>>>
>>>>Thank you!
>>>>-- Kwok Ho --
>>>>
>>>>
>>>>At 08:17 AM 12/2/2004, =?gb2312?B?sszd7d3t?= wrote:
>>>>>Kwok Ho Chan:
>>>>>
>>>>>Thank you for your answers.
>>>>>Yes,I am a student of Nanjing University of Posts and 
>>>>>Telecommunications of China.
>>>>>Now we are doing a project about end-to-end IP QoS.
>>>>>
>>>>>Every service has different QoS requirement.So it will be classed, and 
>>>>>deployed with DSCP, then be treated differently based on the different class.
>>>>>Voice and Vedio require real-time, very low delay, very low 
>>>>>jitter,which must use EF PHB.So I am
>>>>>puzzled that Multimedia Conferencing use AF PHB. Services have lower 
>>>>>priority ,they may wait in a queue for a longer time, which will bring 
>>>>>higher delay. The same question exist between multimedia  streaming 
>>>>>and broadcast video and so on.
>>>>>
>>>>>We want to use the draft to class services, and deal with these based 
>>>>>on the DSCP.
>>>>>
>>>>>¡¡¡¡Thank you very much!!
>>>>>
>>>>>======== 2004-11-24 22:54:53 ÄúÔÚÀ´ÐÅÖÐÐ´µÀ£º ========
>>>>>
>>>>>>Bei-Bei:
>>>>>>Thank you for your comments.
>>>>>>I think you mis-understood the concepts.
>>>>>>The basic-classes draft separates the traffic into different classes
>>>>>>based on their traffic characteristics.
>>>>>>It does not necessarily mean Multimedia Conferencing is lower than 
>>>>>>Telephony,
>>>>>>they just needs to be separated.
>>>>>>We also recommend some treatment approaches for each Service Class based
>>>>>>on each of their traffic characteristics.
>>>>>>Please look at (read) the draft this way and let us know if think 
>>>>>>differently.
>>>>>>Thanks!
>>>>>>-- Kwok Ho Chan --
>>>>>>p.s. Are you based in China?  It looks like a Chinese name to me.
>>>>>>       How may you want to use this draft?
>>>>>>
>>>>>>
>>>>>>At 09:18 AM 11/24/2004, =?gb2312?B?sszd7d3t?= wrote:
>>>>>>
>>>>>>>Hi:
>>>>>>>
>>>>>>>   I have some problems about draft-baker-diffserv-basic-classes-04.
>>>>>>>
>>>>>>>   1.Why is the priority of Multimedia Conferencing(eg.H.323/V2 
>>>>>>> Video conferencing) lower than telephone? The former(video) 
>>>>>>> sometimes need very low delay,eg.CBR video.
>>>>>>>
>>>>>>>   2 Usually,the signalling precede the corresponding service. Why 
>>>>>>> does the service class signalling have a lower priority than 
>>>>>>> telephone? And i also don't know why the QAM is behind Low 
>>>>>>> Latency  data,and the broadcast video is behind multimedia 
>>>>>>> streaming?In my concepte,broadcast video is include in multimeida 
>>>>>>> streaming and need less delay.
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>   Thank you very much!!
>>>>>>>
>>>>>>>
>>>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡
>>>>>>>
>>>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡Cai Bei-bei
>>>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡[email-masked]
>>>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡2004-11-24
>>>>>>>
>>>>>>>
>>>>>
>>>>>= = = = = = = = = = = = = = = = = = = = = =
>>>>>
>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡ÖÂ
>>>>>Àñ£¡
>>>>>
>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡²ÌÝíÝí
>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡<mailto:[email-masked]>[email-masked]
>>>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡2004-12-02
>>>>>
>>>
>>>= = = = = = = = = = = = = = = = = = = = = =
>>>
>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡ÖÂ
>>>Àñ£¡
>>>
>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡²ÌÝíÝí
>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡<mailto:[email-masked]>[email-masked]
>>>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡2004-12-03
>>>
>
>= = = = = = = = = = = = = = = = = = = = = =
>
>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡ÖÂ
>Àñ£¡
>
>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡²ÌÝíÝí
>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡<mailto:[email-masked]>[email-masked]
>¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡2004-12-07
>
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg